curl --request PUT \
--url https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/fire-as-person/{actionId} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"as_person_identification": {
"person_identification_type": "EMAIL",
"value": "value"
},
"as_person_journey": {
"advocate_code": "advocate_code",
"advocate_partner_user_id": "advocate_partner_user_id",
"campaign_id": "campaign_id",
"container": "container",
"coupon_code": "coupon_code",
"journey_type": "journey_type",
"label": "label",
"promotable_code": "promotable_code",
"reason": "reason",
"referral_reason": "ADVOCATE",
"share_id": "share_id",
"shareable_id": "shareable_id",
"zone": "zone"
},
"component_ids": [
"component_id"
],
"component_references": [
{
"component_id": "component_id",
"socket_names": [
"socket_name"
]
}
],
"data": {
"data_key": {}
},
"enabled": true,
"event_name": "event_name",
"event_time": "2025-10-24T02:00:00-07:00",
"extra_data": {
"extra_data_key": {}
},
"labels": [
"label"
],
"person_id": {},
"quality": "ALWAYS"
}
'import requests
url = "https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/fire-as-person/{actionId}"
payload = {
"as_person_identification": {
"person_identification_type": "EMAIL",
"value": "value"
},
"as_person_journey": {
"advocate_code": "advocate_code",
"advocate_partner_user_id": "advocate_partner_user_id",
"campaign_id": "campaign_id",
"container": "container",
"coupon_code": "coupon_code",
"journey_type": "journey_type",
"label": "label",
"promotable_code": "promotable_code",
"reason": "reason",
"referral_reason": "ADVOCATE",
"share_id": "share_id",
"shareable_id": "shareable_id",
"zone": "zone"
},
"component_ids": ["component_id"],
"component_references": [
{
"component_id": "component_id",
"socket_names": ["socket_name"]
}
],
"data": { "data_key": {} },
"enabled": True,
"event_name": "event_name",
"event_time": "2025-10-24T02:00:00-07:00",
"extra_data": { "extra_data_key": {} },
"labels": ["label"],
"person_id": {},
"quality": "ALWAYS"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
as_person_identification: {person_identification_type: 'EMAIL', value: 'value'},
as_person_journey: {
advocate_code: 'advocate_code',
advocate_partner_user_id: 'advocate_partner_user_id',
campaign_id: 'campaign_id',
container: 'container',
coupon_code: 'coupon_code',
journey_type: 'journey_type',
label: 'label',
promotable_code: 'promotable_code',
reason: 'reason',
referral_reason: 'ADVOCATE',
share_id: 'share_id',
shareable_id: 'shareable_id',
zone: 'zone'
},
component_ids: ['component_id'],
component_references: [{component_id: 'component_id', socket_names: ['socket_name']}],
data: {data_key: {}},
enabled: true,
event_name: 'event_name',
event_time: '2025-10-24T02:00:00-07:00',
extra_data: {extra_data_key: {}},
labels: ['label'],
person_id: {},
quality: 'ALWAYS'
})
};
fetch('https://api.extole.io/v2/campaigns/{campaignId}{version}/controllers/{controllerId}/actions/fire-as-person/{actionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"action_id": "<string>",
"action_type": "FIRE_AS_PERSON",
"component_ids": [
"<string>"
],
"component_references": [
{
"component_id": "<string>",
"socket_names": [
"<string>"
]
}
],
"enabled": true,
"as_person_identification": {
"person_identification_type": "EMAIL",
"value": "<string>"
},
"as_person_journey": {
"advocate_code": "<string>",
"advocate_partner_user_id": "<string>",
"campaign_id": "<string>",
"container": "<string>",
"coupon_code": "<string>",
"journey_type": "<string>",
"label": "<string>",
"promotable_code": "<string>",
"reason": "<string>",
"share_id": "<string>",
"shareable_id": "<string>",
"zone": "<string>"
},
"data": {},
"event_name": "<string>",
"event_time": "2025-10-24T02:00:00-07:00",
"extra_data": {},
"labels": [
"<string>"
],
"person_id": "<string>"
}Update a fire-as-person action
Updates the fire-as-person action on the specified campaign controller. Only fields present in the request body are changed. Returns the updated action.
Authorizations
Path Parameters
(/version/.+)?Body
Body of a PUT /v2/campaigns/{campaignId}{version:(/version/.+)?}/controllers/{controllerId}/actions/fire-as-person/{actionId} request.
- EMAIL
- PARTNER_EVENT_ID
- PARTNER_USER_ID
- PERSON_ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Choose between static or dynamic enabled
Choose between static or dynamic event name
Choose between static or dynamic event time
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
Choose between static or dynamic extra data
Show child attributes
Show child attributes
Choose between static or dynamic person id
ALWAYS, HIGH, LOW Response
Successful response
FIRE_AS_PERSON Show child attributes
Show child attributes
The enabled as configured: a literal value, or an expression (type:string) when defined dynamically.
ALWAYS, HIGH, LOW - EMAIL
- PARTNER_EVENT_ID
- PARTNER_USER_ID
- PERSON_ID
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The event name as configured: a literal value, or an expression (type:string) when defined dynamically.
The event time as configured: a literal value, or an expression (type:string) when defined dynamically.
^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$"2025-10-24T02:00:00-07:00"
The extra data as configured: a literal value, or an expression (type:string) when defined dynamically.
Show child attributes
Show child attributes
The person id as configured: a literal value, or an expression (type:string) when defined dynamically.
